﻿/*****************************************************
 * ProjectName:  DesignPattern_AbstractFactory
 * Description:
 * ClassName:    AbstractFactory
 * CLRVersion:   4.0.30319.42000
 * Author:       JiYF
 * NameSpace:    DesignPattern_AbstractFactory
 * MachineName:  JIYF_PC
 * CreateTime:   2017/2/19 10:35:48
 * UpdatedTime:  2017/2/19 10:35:48
*****************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DesignPattern_AbstractFactory
{
    /// <summary>
    /// 抽象工厂类：提供创建不同品牌的手机屏幕和手机主板
    /// </summary>
    public abstract class AbstractFactory
    {
        //工厂生产屏幕
        public abstract Screen CreateScreen();
        //工厂生产主板
        public abstract MotherBoard CreateMotherBoard();
    }
}
