﻿/*****************************************************
 * ProjectName:  DesignPattern_AbstractFactory
 * Description:
 * ClassName:    MotherBoard
 * CLRVersion:   4.0.30319.42000
 * Author:       JiYF
 * NameSpace:    DesignPattern_AbstractFactory
 * MachineName:  JIYF_PC
 * CreateTime:   2017/2/19 10:39:55
 * UpdatedTime:  2017/2/19 10:39:55
*****************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DesignPattern_AbstractFactory
{
    /// <summary>
    /// 主板抽象类：提供每一品牌的主板的继承
    /// </summary>
    public abstract class MotherBoard
    {
        public abstract void print();
    }
}
